# Class ExistInConstraint

java.lang.Object
com.codename1.ui.validation.ExistInConstraint

All Implemented Interfaces:
  `Constraint`

public class ExistInConstraint extends java.lang.Object implements Constraint
Creates a validation constraint to ensure input value exists in a list of items

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExistInConstraint(String[] items)`
  Creates a new ExistIn constraint
  `ExistInConstraint(String[] items, boolean caseSensitive, String errorMessage)`
  Creates a new ExistIn constraint
  `ExistInConstraint(String[] items, String errorMessage)`
  Creates a new ExistIn constraint
  `ExistInConstraint(List<String> items)`
  Creates a new ExistIn constraint
  `ExistInConstraint(List<String> items, boolean caseSensitive, String errorMessage)`
  Creates a new ExistIn constraint
  `ExistInConstraint(List<String> items, String errorMessage)`
  Creates a new ExistIn constraint

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDefaultFailMessage()`
  Includes the error message for the constraint
  `boolean`
  `isValid(java.lang.Object value)`
  Indicates if the given value is valid or not

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ExistInConstraint

    public ExistInConstraint(List<String> items, boolean caseSensitive, String errorMessage)

    Creates a new ExistIn constraint

    ###### Parameters

    - `items`: the array items the input value must exist in

    - `caseSensitive`: compare the input with the items with case-sensitivity or not

    - `errorMessage`: the default error message if the constraint fails

  - ### ExistInConstraint

    public ExistInConstraint(String[] items, boolean caseSensitive, String errorMessage)

    Creates a new ExistIn constraint

    ###### Parameters

    - `items`: the array items the input value must exist in

    - `caseSensitive`: compare the input with the items with case-sensitivity or not

    - `errorMessage`: the default error message if the constraint fails

  - ### ExistInConstraint

    public ExistInConstraint(List<String> items, String errorMessage)

    Creates a new ExistIn constraint

    ###### Parameters

    - `items`: the array items the input value must exist in

    - `errorMessage`: the default error message if the constraint fails

  - ### ExistInConstraint

    public ExistInConstraint(String[] items, String errorMessage)

    Creates a new ExistIn constraint

    ###### Parameters

    - `items`: the array items the input value must exist in

    - `errorMessage`: the default error message if the constraint fails

  - ### ExistInConstraint

    public ExistInConstraint(List<String> items)

    Creates a new ExistIn constraint

    ###### Parameters

    - `items`: the array items the input value must exist in

  - ### ExistInConstraint

    public ExistInConstraint(String[] items)

    Creates a new ExistIn constraint

    ###### Parameters

    - `items`: the array items the input value must exist in

- ## Method Details

  - ### isValid

    public boolean isValid(java.lang.Object value)

    Indicates if the given value is valid or not

    ###### Parameters

    - `value`: the value for the object

    ###### Returns

    true if the value is valid and false otherwise

    Specified by:
      `isValid` in interface `Constraint`

  - ### getDefaultFailMessage

    public String getDefaultFailMessage()

    Includes the error message for the constraint

    ###### Returns

    the text of the error message for a constraint

    Specified by:
      `getDefaultFailMessage` in interface `Constraint`